- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# vmware_local_role_facts – Gather facts about local roles on an ESXi host

New in version 2.7.

- DEPRECATED
- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.13
Why: | Deprecated in favour of `_info` module.
Alternative: | Use vmware_local_role_info instead.

## Synopsis

- This module can be used to gather facts about local role facts on an ESXi host

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6
- PyVmomi

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
hostname string |  | The hostname or IP address of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_HOST` will be used instead. Environment variable support added in Ansible 2.6.
password string |  | The password of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_PASSWORD` will be used instead. Environment variable support added in Ansible 2.6. aliases: pass, pwd
port integer added in 2.5 | Default: 443 | The port number of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_PORT` will be used instead. Environment variable support added in Ansible 2.6.
proxy_host string added in 2.9 |  | Address of a proxy that will receive all HTTPS requests and relay them. The format is a hostname or a IP. If the value is not specified in the task, the value of environment variable `VMWARE_PROXY_HOST` will be used instead. This feature depends on a version of pyvmomi greater than v6.7.1.2018.12
proxy_port integer added in 2.9 |  | Port of the HTTP proxy that will receive all HTTPS requests and relay them. If the value is not specified in the task, the value of environment variable `VMWARE_PROXY_PORT` will be used instead.
username string |  | The username of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_USER` will be used instead. Environment variable support added in Ansible 2.6. aliases: admin, user
validate_certs boolean | Choices: no yes ← | Allows connection when SSL certificates are not valid. Set to `false` when certificates are not trusted. If the value is not specified in the task, the value of environment variable `VMWARE_VALIDATE_CERTS` will be used instead. Environment variable support added in Ansible 2.6. If set to `yes`, please make sure Python >= 2.7.9 is installed on the given machine.

## Notes

Note

- Tested on ESXi 6.5
- Be sure that the ESXi user used for login, has the appropriate rights to view roles
- The module returns a list of dict in version 2.8 and above.

## Examples

    - name: Gather facts about local role from an ESXi
      vmware_local_role_facts:
        hostname: '{{ esxi_hostname }}'
        username: '{{ esxi_username }}'
        password: '{{ esxi_password }}'
      register: fact_details
      delegate_to: localhost
    - name: Get Admin privileges
      set_fact:
        admin_priv: "{{ fact_details.local_role_facts['Admin']['privileges'] }}"
    - debug:
        msg: "{{ admin_priv }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
local_role_facts dictionary | always | Facts about role present on ESXi host Sample: [{'privileges': ['Alarm.Acknowledge', 'Alarm.Create', 'Alarm.Delete', 'Alarm.DisableActions'], 'role_id': -12, 'role_info_label': 'Ansible User', 'role_info_summary': 'Ansible Automation user', 'role_name': 'AnsiUser1', 'role_system': True}, {'privileges': [], 'role_id': -5, 'role_info_label': 'No access', 'role_info_summary': 'Used for restricting granted access', 'role_name': 'NoAccess', 'role_system': True}, {'privileges': ['System.Anonymous', 'System.View'], 'role_id': -3, 'role_info_label': 'View', 'role_info_summary': 'Visibility access (cannot be granted)', 'role_name': 'View', 'role_system': True}]

## Status

- This module will be removed in version 2.13. [deprecated]
- For more information see DEPRECATED.

### Authors

- Abhijeet Kasurde (@Akasurde)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.